// High-level base settings.
$inuit-base-text-color: $frs-color-grey;
$inuit-base-background-color: $frs-color-white;

$inuit-base-space-vertical: $frs-grid-unit;
$inuit-base-space-vertical-small-only: $frs-base-unit-small;
$inuit-base-transition-duration: .25s;

/*------------------------------------*\
    #PARAGRAPHS
\*------------------------------------*/

/**
 * The `.lede` class is used to make the introductory text (usually a paragraph)
 * of a document slightly larger: en.wikipedia.org/wiki/Lede_(news)
 */

// Predefine the variables below in order to alter and enable specific features.
$inuit-lede-size: 1.125;

@if $theme == "reloaded" {
    $inuit-base-font-size: 16px;
} @else {
    $inuit-base-font-size: 17px;
}
$inuit-base-font-size-small-up: $inuit-base-font-size * .88;
$inuit-base-font-size-medium-up: $inuit-base-font-size;
$inuit-base-font-size-large-up: $inuit-base-font-size;

@if $theme == "reloaded" {
    $inuit-base-line-height: 22.8px;
} @else {
    $inuit-base-line-height: 27px;
}
$inuit-heading-line-height: 1.26;

$inuit-font-size-small: $inuit-base-font-size * .76;
$inuit-font-size-small: $inuit-base-font-size * .86;

/*------------------------------------*\
    #HEADINGS
\*------------------------------------*/

$inuit-heading-size-1: $inuit-base-font-size * 1.8;
$inuit-heading-size-2: $inuit-base-font-size * 1.5;
$inuit-heading-size-3: $inuit-base-font-size * 1.26;
@if $theme == "reloaded" {
    $inuit-heading-size-1: 44px;
    $inuit-heading-size-2: 38px;
    $inuit-heading-size-3: 23px;
}
// 22px
$inuit-heading-size-4: $inuit-base-font-size * 1.266666;
// 19px
$inuit-heading-size-5: $inuit-base-font-size * .933333;
// 14px
$inuit-heading-size-6: $inuit-base-font-size * .866666;
// 13px

$inuit-heading-lineheight-1: $inuit-heading-line-height;
$inuit-heading-lineheight-2: $inuit-heading-line-height;
$inuit-heading-lineheight-3: $inuit-heading-line-height;
$inuit-heading-lineheight-4: $inuit-heading-line-height;
$inuit-heading-lineheight-5: $inuit-heading-line-height;
$inuit-heading-lineheight-6: $inuit-heading-line-height;

$inuit-heading-size-1-medium-up: $inuit-base-font-size * 2.05;
$inuit-heading-size-2-medium-up: $inuit-base-font-size * 1.8;
$inuit-heading-size-3-medium-up: $inuit-base-font-size * 1.58;
$inuit-heading-size-4-medium-up: $inuit-base-font-size * 1.11;
$inuit-heading-size-5-medium-up: $inuit-heading-size-5;
$inuit-heading-size-6-medium-up: $inuit-heading-size-4;
@if $theme == "reloaded" {
    $inuit-heading-size-1-medium-up: $inuit-base-font-size * 2.2;
    $inuit-heading-size-2-medium-up: $inuit-base-font-size * 1.9;
    $inuit-heading-size-3-medium-up: $inuit-base-font-size * 1.58;
    $inuit-heading-size-4-medium-up: $inuit-base-font-size * 1.24;
    $inuit-heading-size-5-medium-up: $inuit-heading-size-5;
    $inuit-heading-size-6-medium-up: $inuit-heading-size-4;
}

$inuit-heading-lineheight-1-medium-up: $inuit-heading-line-height;
$inuit-heading-lineheight-2-medium-up: $inuit-heading-line-height;
$inuit-heading-lineheight-3-medium-up: $inuit-heading-line-height;
$inuit-heading-lineheight-4-medium-up: $inuit-heading-line-height;
$inuit-heading-lineheight-5-medium-up: $inuit-heading-line-height;
$inuit-heading-lineheight-6-medium-up: $inuit-heading-line-height;

@if $theme == "reloaded" {
    $inuit-heading-size-1-large-up: $inuit-base-font-size * 2.93;
    $inuit-heading-size-2-large-up: $inuit-base-font-size * 2.4;
}
$inuit-heading-size-1-large-up: $inuit-base-font-size * 2.588;
$inuit-heading-size-2-large-up: $inuit-base-font-size * 2.2;
$inuit-heading-size-3-large-up: $inuit-heading-size-3-medium-up;
$inuit-heading-size-4-large-up: $inuit-heading-size-4-medium-up;
$inuit-heading-size-5-large-up: $inuit-heading-size-5-medium-up;
$inuit-heading-size-6-large-up: $inuit-heading-size-6-medium-up;

$inuit-heading-lineheight-1-large-up: $inuit-heading-line-height;
$inuit-heading-lineheight-2-large-up: $inuit-heading-line-height;
$inuit-heading-lineheight-3-large-up: $inuit-heading-line-height;
$inuit-heading-lineheight-4-large-up: $inuit-heading-line-height;
$inuit-heading-lineheight-5-large-up: $inuit-heading-line-height;
$inuit-heading-lineheight-6-large-up: $inuit-heading-line-height;

// Get rem values out of the pixel-based values defined above

$base-font-size-small-up: rem-calc($inuit-base-font-size-small-up);
$base-font-size-medium-up: rem-calc($inuit-base-font-size-medium-up);
$base-font-size-large-up: rem-calc($inuit-base-font-size-large-up);

$h1-font-size: rem-calc($inuit-heading-size-1);
$h2-font-size: rem-calc($inuit-heading-size-2);
$h3-font-size: rem-calc($inuit-heading-size-3);
$h4-font-size: rem-calc($inuit-heading-size-4);
$h5-font-size: rem-calc($inuit-heading-size-5);
$h6-font-size: rem-calc($inuit-heading-size-6);

$h1-font-size-medium-up: rem-calc($inuit-heading-size-1-medium-up);
$h2-font-size-medium-up: rem-calc($inuit-heading-size-2-medium-up);
$h3-font-size-medium-up: rem-calc($inuit-heading-size-3-medium-up);
$h4-font-size-medium-up: rem-calc($inuit-heading-size-4-medium-up);
$h5-font-size-medium-up: rem-calc($inuit-heading-size-5-medium-up);
$h6-font-size-medium-up: rem-calc($inuit-heading-size-6-medium-up);

$h1-font-size-large-up: rem-calc($inuit-heading-size-1-large-up);
$h2-font-size-large-up: rem-calc($inuit-heading-size-2-large-up);
$h3-font-size-large-up: rem-calc($inuit-heading-size-3-large-up);
$h4-font-size-large-up: rem-calc($inuit-heading-size-4-large-up);
$h5-font-size-large-up: rem-calc($inuit-heading-size-5-large-up);
$h6-font-size-large-up: rem-calc($inuit-heading-size-6-large-up);

// print varible for media query only selecting print
$print: 'print only';